Gentoo – ModSecurity 2.9.1 lands in stable on amd64

Gentoo developers recently marked mod_security-2.9.1 and modsecurity-crs 3.0.2 as stable on amd64, thus allowing me to move on from the dormant ModSecurity 2.7.7 release. Good thing I got this update on a Sunday though as it turned out to be more than a simple drop in replacement.

Continue reading

Downtime and the perils of Slackware current

I woke up this morning to a mail informing me that WordPress had been upgraded to version 4.4.1. Shortly after I tried to access my blog to verify that everything had gone smoothly, but unfortunately my webserver showed no sign of life. Since I’ve previously had a few hard learned lessons with the RPi2, that made me a bit uneasy. A couple of hours later though, as I was reviewing my logs, the problem became pretty obvious:

Continue reading

This is not the page you’re looking for!

I’ve become aware that lately, a number of legitimate visitors have been blocked by ModSecurity and handed the “This is not the page you’re looking for!” message.

Continue reading